Validate Inbound Package
Validate an imported VPK package before deploying it to your Vault. The validation response includes information on dependent components and whether they exist in the package or in your Vault. You can then add missing dependencies to the package in the source Vault before re-importing and deploying it to your target Vault. Learn more about validation logs in Vault Help
POST
/api/{version}/services/vobject/vault_package__v/{package_id}/actions/validateHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json(default) |
URI Path Parameters
Section link for URI Path ParametersRequest
Section link for Requestcurl -L -X POST -H 'Authorization: {Session_ID}' \
-H 'Accept: application/json' \
https://myvault.veevavault.com/api/v22.2/services/vobject/vault_package__v/0PI000000000301/actions/validateResponse
Section link for Response{
"responseStatus": "SUCCESS",
"responseDetails": {
"summary": "Auto Claims Linking Config",
"author": "jennie@veepharm.com",
"package_name": "PKG-0004-1",
"package_id": "0PI000000000301",
"source_vault": "51577",
"package_status": "Blocked",
"total_steps": 2,
"total_component_steps_blocked": 1,
"start_time": "07:05:2020 06:29:25",
"end_time": "07:05:2020 06:29:26",
"package_error": "",
"package_steps": [
{
"id": "0IS000000000301",
"name__v": "00010",
"step_type__v": "Component",
"step_label__v": "Claim Targets",
"step_name__v": "annotation_keyword_targets__sys",
"type__v": "Object",
"deployment_status__v": "Verified",
"deployment_action": "Update",
"dependencies": [
{
"component_name": "annotation_keyword_targets__sys.base__v",
"component_type": "Objecttype",
"subcomponent_name": "",
"subcomponent_type": "",
"status": "In Target"
},
{
"component_name": "default_status__v",
"component_type": "Picklist",
"subcomponent_name": "",
"subcomponent_type": "",
"status": "In Target"
}
]
},
{
"id": "0IS000000000302",
"name__v": "00020",
"step_type__v": "Component",
"step_label__v": "Claims Document",
"step_name__v": "claims_document__c",
"type__v": "Doctype",
"deployment_status__v": "Blocked",
"deployment_action": "Add (missing in Vault)",
"dependencies": [
{
"component_name": "document_creation_date__v",
"component_type": "Docfield",
"subcomponent_name": "",
"subcomponent_type": "",
"status": "In Target"
},
{
"component_name": "reference_documents__c",
"component_type": "Doclifecycle",
"subcomponent_name": "",
"subcomponent_type": "",
"status": "In Target"
},
{
"component_name": "product__v",
"component_type": "Docfield",
"subcomponent_name": "",
"subcomponent_type": "",
"status": "In Target"
},
{
"component_name": "air_bulk_03__c",
"component_type": "Renditiontype",
"subcomponent_name": "",
"subcomponent_type": "",
"status": "Missing - Block"
},
{
"component_name": "country__v",
"component_type": "Docfield",
"subcomponent_name": "",
"subcomponent_type": "",
"status": "In Target"
}
]
}
]
}
}